Package javax.security.auth.message.callback

## Class GroupPrincipalCallback

- java.lang.Object
- - javax.security.auth.message.callback.GroupPrincipalCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class GroupPrincipalCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback that enables an authentication module to inform the runtime of the groups a user is in.

### Constructor Summary

Constructors
`GroupPrincipalCallback​(javax.security.auth.Subject subject, java.lang.String[] groups)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getGroups()`
`javax.security.auth.Subject` `getSubject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupPrincipalCallback

    public GroupPrincipalCallback​(javax.security.auth.Subject subject,
                                  java.lang.String[] groups)

### Method Detail

#### getSubject

    public javax.security.auth.Subject getSubject()

#### getGroups

    public java.lang.String[] getGroups()